Bug 1889848 - [abrt] claws-mail: g_type_check_instance_is_a(): claws-mail killed by SIGSEGV
Summary: [abrt] claws-mail: g_type_check_instance_is_a(): claws-mail killed by SIGSEGV
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:35b2c493d0fd55199d7c74a1d52...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 17:18 UTC by Edward
Modified: 2020-11-09 20:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-09 20:44:05 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (42.09 KB, text/plain)
2020-10-20 17:18 UTC, Edward
no flags Details
File: core_backtrace (15.10 KB, text/plain)
2020-10-20 17:18 UTC, Edward
no flags Details
File: cpuinfo (1.89 KB, text/plain)
2020-10-20 17:18 UTC, Edward
no flags Details
File: dso_list (13.61 KB, text/plain)
2020-10-20 17:18 UTC, Edward
no flags Details
File: environ (2.12 KB, text/plain)
2020-10-20 17:18 UTC, Edward
no flags Details
File: exploitable (82 bytes, text/plain)
2020-10-20 17:18 UTC, Edward
no flags Details
File: limits (1.29 KB, text/plain)
2020-10-20 17:18 UTC, Edward
no flags Details
File: maps (88.22 KB, text/plain)
2020-10-20 17:18 UTC, Edward
no flags Details
File: mountinfo (2.64 KB, text/plain)
2020-10-20 17:18 UTC, Edward
no flags Details
File: open_fds (3.88 KB, text/plain)
2020-10-20 17:18 UTC, Edward
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2020-10-20 17:18 UTC, Edward
no flags Details

Description Edward 2020-10-20 17:18:19 UTC
Description of problem:
Do not know why it crashed. It was minimized at the time.

Version-Release number of selected component:
claws-mail-3.17.7-1.fc32

Additional info:
reporter:       libreport-2.13.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/session-1.scope
cmdline:        claws-mail
crash_function: g_type_check_instance_is_a
executable:     /usr/bin/claws-mail
journald_cursor: s=e1a8e4f74c0d4155a0411f9c4098d2e5;i=48468;b=20048fbe703b4bc5abc6e36019a5eaf9;m=2f7277367;t=5b21d51a3e14e;x=a02b0767823c5bb5
kernel:         5.8.15-201.fc32.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 g_type_check_instance_is_a at ../gobject/gtype.c:4016
 #1 gtk_widget_show at gtkwidget.c:3236
 #2 gtk_box_forall at gtkbox.c:1251
 #5 gtk_paned_forall at gtkpaned.c:1462
 #6 gtk_box_forall at gtkbox.c:1251
 #8 gtk_button_setting_changed at gtkbutton.c:2122

Potential duplicate: bug 1433024

Comment 1 Edward 2020-10-20 17:18:21 UTC
Created attachment 1722935 [details]
File: backtrace

Comment 2 Edward 2020-10-20 17:18:23 UTC
Created attachment 1722936 [details]
File: core_backtrace

Comment 3 Edward 2020-10-20 17:18:23 UTC
Created attachment 1722937 [details]
File: cpuinfo

Comment 4 Edward 2020-10-20 17:18:24 UTC
Created attachment 1722938 [details]
File: dso_list

Comment 5 Edward 2020-10-20 17:18:25 UTC
Created attachment 1722939 [details]
File: environ

Comment 6 Edward 2020-10-20 17:18:26 UTC
Created attachment 1722940 [details]
File: exploitable

Comment 7 Edward 2020-10-20 17:18:27 UTC
Created attachment 1722941 [details]
File: limits

Comment 8 Edward 2020-10-20 17:18:28 UTC
Created attachment 1722942 [details]
File: maps

Comment 9 Edward 2020-10-20 17:18:30 UTC
Created attachment 1722943 [details]
File: mountinfo

Comment 10 Edward 2020-10-20 17:18:31 UTC
Created attachment 1722944 [details]
File: open_fds

Comment 11 Edward 2020-10-20 17:18:32 UTC
Created attachment 1722945 [details]
File: proc_pid_status

Comment 12 Michael Schwendt 2020-10-21 14:39:40 UTC
> Do not know why it crashed. It was minimized at the time.

Are you sure? Let me give a hint: bug 1882947

Comment 13 Edward 2020-10-21 14:59:37 UTC
Interesting. Was using the MATE desktop at the time. And glib2 was updated since then. 

There is another updated version (2.66) but Fedora Kojiweb is not showing a package for Fedora 32.

Comment 14 Michael Schwendt 2020-10-22 13:34:35 UTC
As mentioned, nothing in the glib2 update news indicates that it would fix such an issue.

Again it's a crash deep in GTK+2 as a result of changing a theme and the code going through gtk_rc_settings_changed --> IA__gtk_rc_reparse_all_for_settings. In the older ticket to theme "Mint-Y-Red". In this ticket to "Menta".


Note You need to log in before you can comment on or make changes to this bug.